Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface ServerMBean

public interface ServerMBean
extends KernelMBean, TargetMBean

This class represents a WebLogic Server. A WebLogic Server is a Java process that is a container for J2EE applications.

Field Summary
`static java.lang.String` | `DEFAULT_JDBC_FILE_NAME`
`static java.lang.String` | `EXTERNAL_STAGE` This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, but will be activated from the staging directory.
`static java.lang.String` | `LOGTYPE_WL_STDERR`
`static java.lang.String` | `LOGTYPE_WL_STDOUT`
`static java.lang.String` | `NO_STAGE` This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, and will be activated from the location specified by the application's Path attribute.
`static java.lang.String` | `STAGE` This staging mode indicates that applications deployed to this server will be staged as part of the deployment.
`static java.lang.String` | `STAGING_NAME` the default staging directory name, relative to the server directory.
`static java.lang.String` | `SYNCWRITE_CACHEFLUSH`
`static java.lang.String` | `SYNCWRITE_DIRECTWRITE`
`static java.lang.String` | `UPLOAD_DIR_NAME`

Fields inherited from class weblogic.management.configuration.KernelMBean
`STDOUT_NOID, STDOUT_STANDARD`

Fields inherited from class weblogic.management.configuration.TargetMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)`
`int` | `getAcceptBacklog()` Allowed backlog of new TCP connection requests for both the plaintext and SSL port.
`int` | `getAdministrationPort()` The secure administration port for the server.
`boolean` | `getAutoKillIfFailed()` Enables/Disables automatic kill of a Failed server by the Node Manager.
`boolean` | `getAutoRestart()` Enables/Disables automatic restart of a crashed server by the Node Manager.
`ClusterMBean` | `getCluster()` The cluster to which this server belongs.
`ClusterRuntimeMBean` | `getClusterRuntime()` Returns an mbean containing runtime information about the cluster which was started from this configuration mbean.
`int` | `getClusterWeight()` Defines a value used specify the proportion of the load the server will bear relative to other servers in a cluster.
`COMMBean` | `getCOM()` Returns the server's COM configuration.
`java.lang.String` | `getDefaultIIOPPassword()` The password for the default IIOP user.
`java.lang.String` | `getDefaultIIOPUser()` The default IIOP user.
`java.lang.String` | `getDefaultTGIOPPassword()` The password for the default TGIOP user.
`java.lang.String` | `getDefaultTGIOPUser()` The default TGIOP user.
`DomainLogFilterMBean` | `getDomainLogFilter()` Determines which messages this server sends to the domain log.
`boolean` | `getExpectedToRun()` If this server expected to run if the domain is started.
`java.lang.String` | `getExternalDNSName()` The external DNS name for the current server, which will be sent with http session cookies and also with the dynamic server lists to http proxies.
`java.lang.String` | `getExtraEjbcOptions()` Returns the extra options passed to ejbc during dynamic ejb compilation.
`java.lang.String` | `getExtraRmicOptions()` Returns the extra options passed to rmic during server-side generation.
`int` | `getHealthCheckIntervalSeconds()` Periodicity (in seconds) of the server's health checks.
`int` | `getHealthCheckTimeoutSeconds()` Time (in seconds) the Node Manager should wait before timing out its health query to the server.
`boolean` | `getHostsMigratableServices()`
`java.lang.String` | `getInterfaceAddress()` Defines the interface address used to specify the NIC that handles cluster multicast traffic.
`java.lang.String` | `getJavaCompiler()` The Java Compiler for all applications that need to compile Java code.
`java.lang.String` | `getJavaCompilerPostClassPath()` Returns the options to append to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJavaCompilerPreClassPath()` Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.
`java.lang.String` | `getJDBCLogFileName()` The name of the JDBC log file.
`java.lang.String[]` | `getJNDITransportableObjectFactoryList()` List of factories that create transportable objects.
`java.lang.String` | `getListenAddress()` The IP address or DNS name this server uses to listen for incoming connections.
`int` | `getListenDelaySecs()` Deprecated.
`int` | `getListenPort()` The plain-text (non-SSL) listen port for this server.
`int` | `getListenThreadStartDelaySecs()`
`int` | `getLoginTimeout()` Not used, use getLoginTimeoutMillis instead.
`int` | `getLoginTimeoutMillis()` The login timeout for the server's plain-text (non-SSL) port, in milliseconds.
`int` | `getLowMemoryGCThreshold()` The threshold level (a percentage value) at which the server logs a low memory warning once the granularity reporting level has been met.
`int` | `getLowMemoryGranularityLevel()` Returns the granularity level used in reporting LowMemory information.
`int` | `getLowMemorySampleSize()` Returns the total sample size used for LowMemoryTimeInterval.
`int` | `getLowMemoryTimeInterval()` Returns the time interval.
`MachineMBean` | `getMachine()` The machine on which this server is meant to run.
`java.lang.String` | `getName()` The name of the Server.
`NetworkAccessPointMBean[]` | `getNetworkAccessPoints()` Network access points, or "NAPs", optionally fine-tune the network channels targeted at this server.
`java.lang.String` | `getPreferredSecondaryGroup()` Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`java.lang.String` | `getReplicationGroup()` Defines preferred clustered instances considered for hosting replicas of the primary HTTP session states created on the server.
`int` | `getRestartDelaySeconds()` Time (in seconds) the Node Manager should wait before restarting the server.
`int` | `getRestartIntervalSeconds()` Interval (in seconds) during which a server can be restarted RestartMax times.
`int` | `getRestartMax()` Number of times a server can be restarted within an interval of RestartIntervalSeconds seconds.
`int` | `getServerLifeCycleTimeoutVal()`
`ServerStartMBean` | `getServerStart()` Returns the ServerStartMBean that can be used to start up this server remotely.
`java.lang.String` | `getServerVersion()` Returns the release identifier for the server.
`java.lang.String` | `getStagingDirectoryName()` Identifies the directory path on the managed server where all staged (prepared) applications are placed.
`java.lang.String` | `getStagingMode()` During application preparation, the application's files are copied from the source on the admin server to the managed server's staging area.
`java.lang.String` | `getStartupMode()`
`java.lang.String` | `getTransactionLogFilePrefix()` The path prefix for the server's JTA transaction log files.
`java.lang.String` | `getTransactionLogFileWritePolicy()` The policy used for writing log records to disk.
`int` | `getTunnelingClientPingSecs()` Interval (in seconds) at which to ping an http-tunneled client to see if its still alive (in seconds).
`int` | `getTunnelingClientTimeoutSecs()` Duration (in seconds) after which a missing http-tunneled client is considered dead (in seconds).
`java.lang.String` | `getUploadDirectoryName()` Identifies the directory path on the AdminServer where all uploaded applications are placed.
`java.lang.String` | `getVerboseEJBDeploymentEnabled()` Whether or not verbose deployment of EJB's is enabled.
`WebServerMBean` | `getWebServer()` Return the web server for this server.
`XMLEntityCacheMBean` | `getXMLEntityCache()` The XML Entity Cache for the server
`XMLRegistryMBean` | `getXMLRegistry()` The XML Registry for the server.
`boolean` | `isClasspathServletDisabled()`
`boolean` | `isClientCertProxyEnabled()`
`boolean` | `isCOMEnabled()` Whether or not COM support is enabled on the plaintext port.
`boolean` | `isDefaultInternalServletsDisabled()`
`boolean` | `isEnabledForDomainLog()` Determines whether this server sends messages to the domain log (in addition to keeping its own log).
`boolean` | `isHttpdEnabled()` Whether or not HTTP support is enabled on the plaintext or SSL port.
`boolean` | `isHttpTraceSupportEnabled()`
`boolean` | `isIIOPEnabled()` Whether or not IIOP support is enabled for both the SSL and non-SSL ports.
`boolean` | `isIORServletEnabled()` Whether or not the GetIORServlet needs to be initialized.
`boolean` | `isJDBCLoggingEnabled()` Determines whether this server maintains a JDBC log file.
`boolean` | `isJMSDefaultConnectionFactoriesEnabled()` Enables JMS default connection factories.
`boolean` | `isListenPortEnabled()` Get if the plain-text (non-SSL) port is enabled for the server.
`boolean` | `isManagedServerIndependenceEnabled()` Indicates whether Managed Server Independence is enabled for this server.
`boolean` | `isMSIFileReplicationEnabled()` Indicates whether the replication of configuration files is enabled for a Managed Server.
`boolean` | `isTGIOPEnabled()` Whether or not TGIOP support is enabled.
`boolean` | `isTunnelingEnabled()` Enables tunneling via HTTP.
`boolean` | `isWeblogicPluginEnabled()`
`boolean` | `removeNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)`
`void` | `setAcceptBacklog(int count)`
`void` | `setAdministrationPort(int port)`
`void` | `setAdministrationPortEnabled(boolean value)`
`void` | `setAutoKillIfFailed(boolean enable)`
`void` | `setAutoMigrationEnabled(boolean enable)`
`void` | `setAutoRestart(boolean enable)`
`void` | `setClasspathServletDisabled(boolean enabled)` The ClasspathServlet will serve any class file in the classpath and is registered by default in every webapp (including management).
`void` | `setClientCertProxyEnabled(boolean ccp)` A value of `true` causes proxy-server plugins to pass identity certifications from clients to all web applications that are deployed on this server instance.
`void` | `setCluster(ClusterMBean cluster)`
`void` | `setClusterWeight(int weight)`
`void` | `setCOMEnabled(boolean enable)`
`void` | `setConsoleInputEnabled(boolean enable)`
`void` | `setDefaultIIOPPassword(java.lang.String password)`
`void` | `setDefaultIIOPUser(java.lang.String user)`
`void` | `setDefaultInternalServletsDisabled(boolean enabled)` This disables all default servlets in the servlet engine.
`void` | `setDefaultTGIOPPassword(java.lang.String password)`
`void` | `setDefaultTGIOPUser(java.lang.String user)`
`void` | `setDomainLogFilter(DomainLogFilterMBean filter)`
`void` | `setEnabledForDomainLog(boolean choice)`
`void` | `setExpectedToRun(boolean flag)`
`void` | `setExternalDNSName(java.lang.String externalDNSName)`
`void` | `setExtraEjbcOptions(java.lang.String options)`
`void` | `setExtraRmicOptions(java.lang.String options)`
`void` | `setHealthCheckIntervalSeconds(int secs)`
`void` | `setHealthCheckStartDelaySeconds(int secs)`
`void` | `setHealthCheckTimeoutSeconds(int secs)`
`void` | `setHelpPageURL(java.lang.String url)`
`void` | `setHttpdEnabled(boolean enable)`
`void` | `setHttpTraceSupportEnabled(boolean tse)` Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data.
`void` | `setIIOPEnabled(boolean enable)`
`void` | `setInterfaceAddress(java.lang.String address)`
`void` | `setIORServletEnabled(boolean enable)` set the flag to enable GetIORServlet
`void` | `setJ2EE12OnlyModeEnabled(boolean enable)`
`void` | `setJ2EE13WarningEnabled(boolean enable)`
`void` | `setJavaCompiler(java.lang.String javaCompiler)`
`void` | `setJavaCompilerPostClassPath(java.lang.String postClassPath)`
`void` | `setJavaCompilerPreClassPath(java.lang.String preClassPath)`
`void` | `setJDBCLogFileName(java.lang.String logFileName)`
`void` | `setJDBCLoggingEnabled(boolean enable)`
`void` | `setJMSDefaultConnectionFactoriesEnabled(boolean enabled)`
`void` | `setJNDITransportableObjectFactoryList(java.lang.String[] list)`
`void` | `setListenAddress(java.lang.String address)`
`void` | `setListenDelaySecs(int seconds)`
`void` | `setListenPort(int port)`
`void` | `setListenPortEnabled(boolean enable)`
`void` | `setLoginTimeout(int timeout)` Not used, use setLoginTimeoutMillis instead.
`void` | `setLoginTimeoutMillis(int count)`
`void` | `setLowMemoryGCThreshold(int size)`
`void` | `setLowMemoryGranularityLevel(int size)`
`void` | `setLowMemorySampleSize(int sampleSize)`
`void` | `setLowMemoryTimeInterval(int seconds)`
`void` | `setMachine(MachineMBean machine)` Associate the server with the machine it is meant to run on.
`void` | `setManagedServerIndependenceEnabled(boolean enable)`
`void` | `setMSIFileReplicationEnabled(boolean enable)`
`void` | `setName(java.lang.String name)` Set the name of the MBean.
`void` | `setNetworkAccessPoints(NetworkAccessPointMBean[] networkAccessPoints)`
`void` | `setPreferredSecondaryGroup(java.lang.String group)`
`void` | `setReplicationGroup(java.lang.String group)`
`void` | `setRestartDelaySeconds(int secs)`
`void` | `setRestartIntervalSeconds(int secs)`
`void` | `setRestartMax(int value)`
`void` | `setServerLifeCycleTimeoutVal(int timeoutVal)` Number of seconds a ServerLifeCycle operation waits before timing out.
`void` | `setServerVersion(java.lang.String version)`
`void` | `setStagingMode(java.lang.String staging)`
`void` | `setStartupMode(java.lang.String mode)` Startup Mode for the server
`void` | `setSystemPassword(java.lang.String password)`
`void` | `setTGIOPEnabled(boolean enable)`
`void` | `setTransactionLogFilePrefix(java.lang.String pathPrefix)`
`void` | `setTransactionLogFileWritePolicy(java.lang.String policy)`
`void` | `setTunnelingClientPingSecs(int secs)`
`void` | `setTunnelingClientTimeoutSecs(int secs)`
`void` | `setTunnelingEnabled(boolean enabled)`
`void` | `setUploadDirectoryName(java.lang.String dir)`
`void` | `setVerboseEJBDeploymentEnabled(java.lang.String verbose)`
`void` | `setWeblogicPluginEnabled(boolean wpe)` WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value.
`void` | `setWorkspaceShowUserKeysOnly(boolean b)`
`void` | `setXMLEntityCache(XMLEntityCacheMBean cache)`
`void` | `setXMLRegistry(XMLRegistryMBean registry)`
`void` | `setZACEnabled(boolean enable)`
`void` | `setZACPublishRoot(java.lang.String path)`
`void` | `stop()` Deprecated.
`java.lang.String` | `synchronousKill()` Kill this server.
`java.lang.String` | `synchronousStart()` Start this server.

Methods inherited from interface weblogic.management.configuration.KernelMBean
`getCompleteCOMMessageTimeout, getCompleteHTTPMessageTimeout, getCompleteIIOPMessageTimeout, getCompleteT3MessageTimeout, getDefaultProtocol, getDefaultSecureProtocol, getExecuteQueues, getIdleIIOPConnectionTimeout, getIIOP, getLog, getMaxCOMMessageSize, getMaxHTTPMessageSize, getMaxIIOPMessageSize, getMaxOpenSockCount, getMaxT3MessageSize, getSSL, getStdoutFormat, getStdoutSeverityLevel, getStuckThreadMaxTime, getStuckThreadTimerInterval, getThreadPoolPercentSocketReaders, isInstrumentStackTraceEnabled, isLogRemoteExceptionsEnabled, isNativeIOEnabled, isReverseDNSAllowed, isStdoutDebugEnabled, isStdoutEnabled, isStdoutLogStack, setCompleteCOMMessageTimeout, setCompleteHTTPMessageTimeout, setCompleteIIOPMessageTimeout, setCompleteT3MessageTimeout, setDefaultProtocol, setDefaultSecureProtocol, setDGCIdlePeriodsUntilTimeout, setIdleIIOPConnectionTimeout, setInstrumentStackTraceEnabled, setLogRemoteExceptionsEnabled, setMaxCOMMessageSize, setMaxHTTPMessageSize, setMaxIIOPMessageSize, setMaxOpenSockCount, setMaxT3MessageSize, setNativeIOEnabled, setReverseDNSAllowed, setStdoutDebugEnabled, setStdoutEnabled, setStdoutFormat, setStdoutLogStack, setStdoutSeverityLevel, setStuckThreadMaxTime, setStuckThreadTimerInterval, setThreadPoolPercentSocketReaders`

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Field Detail

### STAGING_NAME

    public static final java.lang.String STAGING_NAME

  the default staging directory name, relative to the server directory. This is the directory used to stage applications during deployment.

### STAGE

    public static final java.lang.String STAGE

  This staging mode indicates that applications deployed to this server will be staged as part of the deployment.

### NO_STAGE

    public static final java.lang.String NO_STAGE

  This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, and will be activated from the location specified by the application's Path attribute.

### EXTERNAL_STAGE

    public static final java.lang.String EXTERNAL_STAGE

  This staging mode indicates that applications deployed to this server will not be staged as part of the deployment, but will be activated from the staging directory.

### UPLOAD_DIR_NAME

    public static final java.lang.String UPLOAD_DIR_NAME

### LOGTYPE_WL_STDOUT

    public static final java.lang.String LOGTYPE_WL_STDOUT

### LOGTYPE_WL_STDERR

    public static final java.lang.String LOGTYPE_WL_STDERR

### SYNCWRITE_CACHEFLUSH

    public static final java.lang.String SYNCWRITE_CACHEFLUSH

### SYNCWRITE_DIRECTWRITE

    public static final java.lang.String SYNCWRITE_DIRECTWRITE

### DEFAULT_JDBC_FILE_NAME

    public static final java.lang.String DEFAULT_JDBC_FILE_NAME

Method Detail

### getMachine

    public MachineMBean getMachine()

  The machine on which this server is meant to run. If the server is already running, this will migrate the server to a different machine. If the machine is the same as the machine is the server is already running on, this is a no-op.

  Migration consists of taking down the machine using the stop method on the Server (#stop), and restarting the server on the new machine. If anything fails during migration, the appropriate exception will be thrown.

  Setting the machine to null means that the server should not be started. If it is already running, it is shutdown.

  A configurable MBean attribute
  Throws:
    java.lang.NullPointerException - if the machine argument is invalid.

### setMachine

    public void setMachine(MachineMBean machine)
                    throws javax.management.InvalidAttributeValueException

  Associate the server with the machine it is meant to run on. This can only be called on a managed server that is not running.

  Legal Value: weblogic.management.configuration.LegalHelper.serverMBeanChangeMachine(value,self)

### getListenPort

    public int getListenPort()

  The plain-text (non-SSL) listen port for this server. If this is disabled the SSL port must be enabled. Additional ports can be configured using network channels (see NetworkChannelMBean). The cluster (multicast) port is configured seperately (see getCluster).

  A configurable MBean attribute
  Default Value: 7001
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  See Also:
    `isListenPortEnabled()`, `getAdministrationPort()`, `getListenAddress()`, `getCluster()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.getListenPort()`, `NetworkChannelMBean.getSSLListenPort()`

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

### isListenPortEnabled

    public boolean isListenPortEnabled()

  Get if the plain-text (non-SSL) port is enabled for the server. If this is set to false, the SSL listen port must be configured and enabled.

  See Also:
    `getListenPort()`, `isAdministrationPortEnabled()`, `KernelMBean.getSSL()`, `SSLMBean.isListenPortEnabled()`, `NetworkChannelMBean.isListenPortEnabled()`, `NetworkChannelMBean.isSSLListenPortEnabled()`

### setListenPortEnabled

    public void setListenPortEnabled(boolean enable)
                              throws javax.management.InvalidAttributeValueException

  Default Value: true
  Legal Value: !(value == false && weblogic.management.configuration.ServerLegalHelper.isSSLListenPortEnabled(self) == false)
  Secure Value: false

### getLoginTimeout

    public int getLoginTimeout()

  Not used, use getLoginTimeoutMillis instead.

  A dynamic MBean attribute
  Default Value: 1000
  Legal Minimum Value: 0
  See Also:
    `getLoginTimeoutMillis()`

### setLoginTimeout

    public void setLoginTimeout(int timeout)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Not used, use setLoginTimeoutMillis instead.

  See Also:
    `getLoginTimeoutMillis()`

### getCluster

    public ClusterMBean getCluster()

  The cluster to which this server belongs. If set, the server will listen for cluster multicast events.

  A configurable MBean attribute
  See Also:
    `getClusterWeight()`, `ClusterMBean.getMulticastPort()`, `ClusterMBean.getMulticastAddress()`

### setCluster

    public void setCluster(ClusterMBean cluster)

### getClusterWeight

    public int getClusterWeight()

  Defines a value used specify the proportion of the load the server will bear relative to other servers in a cluster.

  If all servers have the default weight (100) or the same weight, each bears an equal proportion of the load. If one server has weight 50 and all other servers have weight 100, the 50-weight server will bear half as much load as any other server.

  A configurable MBean attribute
  Default Value: 100
  Legal Minimum Value: 1
  Legal Maximum Value: 100
  See Also:
    `getCluster()`

### setClusterWeight

    public void setClusterWeight(int weight)
                          throws javax.management.InvalidAttributeValueException

### getReplicationGroup

    public java.lang.String getReplicationGroup()

  Defines preferred clustered instances considered for hosting replicas of the primary HTTP session states created on the server.

### setReplicationGroup

    public void setReplicationGroup(java.lang.String group)
                             throws javax.management.InvalidAttributeValueException

### getPreferredSecondaryGroup

    public java.lang.String getPreferredSecondaryGroup()

  Defines secondary clustered instances considered for hosting replicas of the primary HTTP session states created on the server.

### setPreferredSecondaryGroup

    public void setPreferredSecondaryGroup(java.lang.String group)
                                    throws javax.management.InvalidAttributeValueException

### setAutoMigrationEnabled

    public void setAutoMigrationEnabled(boolean enable)

### getClusterRuntime

    public ClusterRuntimeMBean getClusterRuntime()

  Returns an mbean containing runtime information about the cluster which was started from this configuration mbean. Returns null if no such cluster exists.

### getWebServer

    public WebServerMBean getWebServer()

  Return the web server for this server. A server has exactly one WebServer. A server may also have one or more VirtualHosts. A VirtualHost is a subclass of WebServer.

### getExpectedToRun

    public boolean getExpectedToRun()

  If this server expected to run if the domain is started.

  A configurable MBean attribute
  Default Value: true
  See Also:
    `stop()`, `start()`, `kill()`

### setExpectedToRun

    public void setExpectedToRun(boolean flag)

### synchronousStart

    public java.lang.String synchronousStart()

  Start this server. This is a blocking call. Returns String containg NodeManger log for starting the server.

  Throws:
    InsufficientConfigurationException - if the server's configuration is not sufficient to start it.

### stop

    public void stop()

  Deprecated.
  Stop this server. This method attempts a soft shutdown of the server. If the server is not responsive, the kill method may be used. Returns an exit code of 0 (PeerGoneException). If the client that calls this method is remote, the PeerGoneException is nested inside a RemoteRuntimeException. The remote client is responsible for gracefully handling this exception.

  See Also:
    `stop()`, `getExpectedToRun()`, `kill()`

### synchronousKill

    public java.lang.String synchronousKill()

  Kill this server. This is a blocking call. Returns String containg NodeManger log for killing the server.

### isJDBCLoggingEnabled

    public boolean isJDBCLoggingEnabled()

  Determines whether this server maintains a JDBC log file.

  Old Property: weblogic.jdbc.enableLogFile
  Secure Value: true

### setJDBCLoggingEnabled

    public void setJDBCLoggingEnabled(boolean enable)

### getJDBCLogFileName

    public java.lang.String getJDBCLogFileName()

  The name of the JDBC log file. If the pathname is not absolute, the path is assumed to be relative to the root directory of the machine on which the server is running. If the log has no path element and is atomic, ie. jdbc.log to avoid name space conflicts the file will be placed relative to the root directory in ./SERVER_NAME/

  Default Value: DEFAULT_JDBC_FILE_NAME
  Old Property: weblogic.jdbc.logFileName

### setJDBCLogFileName

    public void setJDBCLogFileName(java.lang.String logFileName)
                            throws javax.management.InvalidAttributeValueException

### setJ2EE12OnlyModeEnabled

    public void setJ2EE12OnlyModeEnabled(boolean enable)

### setJ2EE13WarningEnabled

    public void setJ2EE13WarningEnabled(boolean enable)

### setZACEnabled

    public void setZACEnabled(boolean enable)

### setZACPublishRoot

    public void setZACPublishRoot(java.lang.String path)
                           throws javax.management.InvalidAttributeValueException

### isIIOPEnabled

    public boolean isIIOPEnabled()

  Whether or not IIOP support is enabled for both the SSL and non-SSL ports.

  Default Value: true
  Old Property: weblogic.system.enableIIOP
  See Also:
    `getListenPort()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`

### setIIOPEnabled

    public void setIIOPEnabled(boolean enable)

### getDefaultIIOPUser

    public java.lang.String getDefaultIIOPUser()

  The default IIOP user.

  Default Value: null
  Old Property: weblogic.iiop.user

### setDefaultIIOPUser

    public void setDefaultIIOPUser(java.lang.String user)
                            throws javax.management.InvalidAttributeValueException

### getDefaultIIOPPassword

    public java.lang.String getDefaultIIOPPassword()

  The password for the default IIOP user.

  Default Value: null
  Old Property: weblogic.iiop.password

### setDefaultIIOPPassword

    public void setDefaultIIOPPassword(java.lang.String password)
                                throws javax.management.InvalidAttributeValueException

### isTGIOPEnabled

    public boolean isTGIOPEnabled()

  Whether or not TGIOP support is enabled.

  Default Value: false
  Old Property: weblogic.system.enableTGIOP
  Secure Value: false

### setTGIOPEnabled

    public void setTGIOPEnabled(boolean enable)

### getDefaultTGIOPUser

    public java.lang.String getDefaultTGIOPUser()

  The default TGIOP user.

  Default Value: "guest"
  Secure Value: null

### setDefaultTGIOPUser

    public void setDefaultTGIOPUser(java.lang.String user)
                             throws javax.management.InvalidAttributeValueException

### getDefaultTGIOPPassword

    public java.lang.String getDefaultTGIOPPassword()

  The password for the default TGIOP user.

  Default Value: "guest"
  Secure Value: null

### setDefaultTGIOPPassword

    public void setDefaultTGIOPPassword(java.lang.String password)
                                 throws javax.management.InvalidAttributeValueException

### isCOMEnabled

    public boolean isCOMEnabled()

  Whether or not COM support is enabled on the plaintext port. (COM is not supported on the SSL port.)

  Default Value: false
  Secure Value: false
  See Also:
    `NetworkChannelMBean.isCOMEnabled()`, `getListenPort()`

### setCOMEnabled

    public void setCOMEnabled(boolean enable)

### isIORServletEnabled

    public boolean isIORServletEnabled()

  Whether or not the GetIORServlet needs to be initialized.

  Default Value: false
  Secure Value: false

### setIORServletEnabled

    public void setIORServletEnabled(boolean enable)

  set the flag to enable GetIORServlet

### getCOM

    public COMMBean getCOM()

  Returns the server's COM configuration.

### isHttpdEnabled

    public boolean isHttpdEnabled()

  Whether or not HTTP support is enabled on the plaintext or SSL port.

  Default Value: true
  Old Property: weblogic.httpd.enable
  See Also:
    `getListenPort()`, `isTunnelingEnabled()`, `SSLMBean.getListenPort()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.isHTTPEnabled()`, `NetworkChannelMBean.isHTTPSEnabled()`

### setHttpdEnabled

    public void setHttpdEnabled(boolean enable)

### setSystemPassword

    public void setSystemPassword(java.lang.String password)
                           throws javax.management.InvalidAttributeValueException

### setHelpPageURL

    public void setHelpPageURL(java.lang.String url)
                        throws javax.management.InvalidAttributeValueException

### setWorkspaceShowUserKeysOnly

    public void setWorkspaceShowUserKeysOnly(boolean b)

### setConsoleInputEnabled

    public void setConsoleInputEnabled(boolean enable)

### getListenThreadStartDelaySecs

    public int getListenThreadStartDelaySecs()

### getListenAddress

    public java.lang.String getListenAddress()

  The IP address or DNS name this server uses to listen for incoming connections. Servers can be reached through the following URL:
  protocol://listen-address:listen-port

  Any network access point (NAP) that you configure for this server can override this listen address.

  By default, a server's listen address is undefined, which enables clients to reach the server through an IP address of the computer that hosts the server, a DNS name that resolves to the host, or the localhost string. The localhost string can be used only for requests from clients that running on the same computer as the server.

  If you want to limit the valid addresses for a server instance, specify one of the following:

  - If you provide an IP address, clients can specify either the IP address or a DNS name that maps to the IP address. Clients that specify an IP address and attempt to connect through an SSL port must disable hostname verification.
  - If you provide a DNS name, clients can specify either the DNS name or the corresponding IP address.
  Note:
    To resolve a DNS name to an IP address, WebLogic Server must be able to contact an appropriate DNS server or obtain the IP address mapping locally. Therefore, if you specify a DNS name for the listen address, you must either leave a port open long enough for the WebLogic Server instance to connect to a DNS server and cache its mapping or you must specify the IP address mapping in a local file. If you specify an IP address for ListenAddress and then a client request specifies a DNS name, WebLogic Server will attempt to resolve the DNS name, but if it cannot access DNS name mapping, the request will fail.

    Old Property: weblogic.system.bindAddr

  ### setListenAddress

      public void setListenAddress(java.lang.String address)
                            throws javax.management.InvalidAttributeValueException

  ### getExternalDNSName

      public java.lang.String getExternalDNSName()

    The external DNS name for the current server, which will be sent with http session cookies and also with the dynamic server lists to http proxies. This is required for configurations in which a firewall is performing Network Address Translation.

    A configurable MBean attribute
    Default Value: null
    Old Property: weblogic.system.DNSName
    See Also:
      `getListenAddress()`, `NetworkAccessPointMBean.getExternalDNSName()`

  ### setExternalDNSName

      public void setExternalDNSName(java.lang.String externalDNSName)
                              throws javax.management.InvalidAttributeValueException

  ### getInterfaceAddress

      public java.lang.String getInterfaceAddress()

    Defines the interface address used to specify the NIC that handles cluster multicast traffic.

    A configurable MBean attribute
    Old Property: weblogic.cluster.interfaceAddress
    See Also:
      `getCluster()`, `setInterfaceAddress(java.lang.String)`, `ClusterMBean.getMulticastAddress()`

  ### setInterfaceAddress

      public void setInterfaceAddress(java.lang.String address)
                               throws javax.management.InvalidAttributeValueException

    Throws:
      java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

  ### getNetworkAccessPoints

      public NetworkAccessPointMBean[] getNetworkAccessPoints()

    Network access points, or "NAPs", optionally fine-tune the network channels targeted at this server. Network channels and NAPs together to define additional ports and addresses that this server listens on. Additionally, if two servers both support the same channel for a given protocol, then new connections between them will use that channel. If a channel is targeted at a server, but no NAP is configured, the server will still honor the channel using network information configured for the server.

    See Also:
      `NetworkChannelMBean`

  ### setNetworkAccessPoints

      public void setNetworkAccessPoints(NetworkAccessPointMBean[] networkAccessPoints)
                                  throws javax.management.InvalidAttributeValueException,
                                         ConfigurationException

    See Also:
      `getNetworkAccessPoints()`

  ### addNetworkAccessPoint

      public boolean addNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)
                                    throws javax.management.InvalidAttributeValueException,
                                           ConfigurationException

    See Also:
      `getNetworkAccessPoints()`

  ### removeNetworkAccessPoint

      public boolean removeNetworkAccessPoint(NetworkAccessPointMBean networkAccessPoint)
                                       throws javax.management.InvalidAttributeValueException,
                                              ConfigurationException

    See Also:
      `getNetworkAccessPoints()`

  ### getAcceptBacklog

      public int getAcceptBacklog()

    Allowed backlog of new TCP connection requests for both the plaintext and SSL port. Setting the backlog to 0 may prevent accepting any incoming connection on some of the OS.

    Default Value: 50
    Old Property: webogic.system.acceptBacklog
    Legal Minimum Value: 0
    See Also:
      `getListenPort()`, `getAcceptBacklog()`, `NetworkChannelMBean.getAcceptBacklog()`

  ### setAcceptBacklog

      public void setAcceptBacklog(int count)
                            throws javax.management.InvalidAttributeValueException

  ### getLoginTimeoutMillis

      public int getLoginTimeoutMillis()

    The login timeout for the server's plain-text (non-SSL) port, in milliseconds. This is the maximum amount of time allowed for a new connection to establish. A value of 0 indicates there is no maximum. The value must be equal to or greater than 0.

    A dynamic MBean attribute
    Default Value: 5000
    Old Property: webogic.system.readTimeoutMillis
    Legal Minimum Value: 0
    Legal Maximum Value: 100000
    Secure Value: 5000
    See Also:
      `SSLMBean.getLoginTimeoutMillis()`, `KernelMBean.getSSL()`, `NetworkChannelMBean.getLoginTimeoutMillis()`, `NetworkChannelMBean.getLoginTimeoutMillisSSL()`

  ### setLoginTimeoutMillis

      public void setLoginTimeoutMillis(int count)
                                 throws javax.management.InvalidAttributeValueException

  ### setAdministrationPortEnabled

      public void setAdministrationPortEnabled(boolean value)

  ### getAdministrationPort

      public int getAdministrationPort()

    The secure administration port for the server. The setter is used to override the same field in the DomainMBean for this server. If its value is not zero then the same field in the DomainMBean will be used for the server. This port requires SSL to be configured and enabled.

    An active administration port only allows connections with administrator credentials. Its existence also prevents any other ports on the server from accepting connections with administrator credentials.

    Supports T3S and HTTPS protocols. The managed server will require to use -Dweblogic.management.server=https://admin_server:administration_port to connect to the admin server

    Default Value: 0
    Old Property: webogic.system.AdministrationPort
    Legal Minimum Value: 0
    Legal Maximum Value: 65534
    Secure Value: (value > 0)
    See Also:
      `getAdministrationPort()`, `getListenPort()`, `isAdministrationPortEnabled()`, `DomainMBean.isAdministrationPortEnabled()`, `DomainMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

  ### setAdministrationPort

      public void setAdministrationPort(int port)
                                 throws javax.management.InvalidAttributeValueException

  ### getJNDITransportableObjectFactoryList

      public java.lang.String[] getJNDITransportableObjectFactoryList()

    List of factories that create transportable objects.

    Old Property: weblogic.jndi.transportableObjectFactories

  ### setJNDITransportableObjectFactoryList

      public void setJNDITransportableObjectFactoryList(java.lang.String[] list)
                                                 throws javax.management.InvalidAttributeValueException

  ### getXMLRegistry

      public XMLRegistryMBean getXMLRegistry()

    The XML Registry for the server.

    A configurable MBean attribute

  ### setXMLEntityCache

      public void setXMLEntityCache(XMLEntityCacheMBean cache)
                             throws javax.management.InvalidAttributeValueException

  ### getXMLEntityCache

      public XMLEntityCacheMBean getXMLEntityCache()

    The XML Entity Cache for the server

    A configurable MBean attribute

  ### setXMLRegistry

      public void setXMLRegistry(XMLRegistryMBean registry)
                          throws javax.management.InvalidAttributeValueException

  ### getJavaCompiler

      public java.lang.String getJavaCompiler()

    The Java Compiler for all applications that need to compile Java code.

    Default Value: "javac"
    Secure Value: "javac"

  ### setJavaCompiler

      public void setJavaCompiler(java.lang.String javaCompiler)
                           throws javax.management.InvalidAttributeValueException

  ### getJavaCompilerPreClassPath

      public java.lang.String getJavaCompilerPreClassPath()

    Returns the options to prepend to the Java compiler classpath for when we need to compile Java code.

    Default Value: null
    Secure Value: null

  ### setJavaCompilerPreClassPath

      public void setJavaCompilerPreClassPath(java.lang.String preClassPath)
                                       throws javax.management.InvalidAttributeValueException

  ### getJavaCompilerPostClassPath

      public java.lang.String getJavaCompilerPostClassPath()

    Returns the options to append to the Java compiler classpath for when we need to compile Java code.

    Default Value: null
    Secure Value: null

  ### setJavaCompilerPostClassPath

      public void setJavaCompilerPostClassPath(java.lang.String postClassPath)
                                        throws javax.management.InvalidAttributeValueException

  ### getExtraRmicOptions

      public java.lang.String getExtraRmicOptions()

    Returns the extra options passed to rmic during server-side generation.

    Default Value: null

  ### setExtraRmicOptions

      public void setExtraRmicOptions(java.lang.String options)
                               throws javax.management.InvalidAttributeValueException

  ### getExtraEjbcOptions

      public java.lang.String getExtraEjbcOptions()

    Returns the extra options passed to ejbc during dynamic ejb compilation.

    Default Value: null

  ### setExtraEjbcOptions

      public void setExtraEjbcOptions(java.lang.String options)
                               throws javax.management.InvalidAttributeValueException

  ### getVerboseEJBDeploymentEnabled

      public java.lang.String getVerboseEJBDeploymentEnabled()

    Whether or not verbose deployment of EJB's is enabled.

    Default Value: "false"

  ### setVerboseEJBDeploymentEnabled

      public void setVerboseEJBDeploymentEnabled(java.lang.String verbose)

  ### getTransactionLogFilePrefix

      public java.lang.String getTransactionLogFilePrefix()

    The path prefix for the server's JTA transaction log files. If the pathname is not absolute, the path is assumed to be relative to the root directory of the machine on which the server is running.

    Default Value: "./"

  ### setTransactionLogFilePrefix

      public void setTransactionLogFilePrefix(java.lang.String pathPrefix)
                                       throws javax.management.InvalidAttributeValueException

  ### getTransactionLogFileWritePolicy

      public java.lang.String getTransactionLogFileWritePolicy()

    The policy used for writing log records to disk. The "Cache-Flush" policy flushes operating system and on-disk caches after each write. The "Cache-Flush" policy is the default policy. The "Direct-Write" policy tells the operating system to write directly to disk with each write. "Direct-Write" performs better than "Cache-Flush", and is available on Windows, HP-UX and Solaris. If "Direct-Write" is not supported on the host platform, the policy becomes "Cache-Flush" and a log message is printed.

    WARNING: On Windows, unlike Solaris and HP, the "Direct-Write" policy may leave transaction data in the on-disk cache without writing it to disk immediately. This is not transactionally safe, as a power failure can cause loss of on-disk cache data. For transactionally safe writes using "Direct-Write" on Windows, either disable all write caching for the disk (enabled by default), or use a disk with a battery backed cache.

    - The on-disk cache for a hard-drive on Windows can be disabled through system administration: Control-Panel -> System -> Hardware-tab -> Device-Manager-button -> Disk-Drives -> name-of-drive -> Policies-tab -> "Enable write caching on the disk" check-box. Some file systems do not allow this value to be changed. For example, a RAID system that has a reliable cache.

    Default Value: weblogic.management.configuration.ServerMBean.SYNCWRITE_CACHEFLUSH
    Legal NULL: false
    Legal Values: weblogic.management.configuration.ServerMBean.SYNCWRITE_CACHEFLUSH,weblogic.management.configuration.ServerMBean.SYNCWRITE_DIRECTWRITE

  ### setTransactionLogFileWritePolicy

      public void setTransactionLogFileWritePolicy(java.lang.String policy)
                                            throws javax.management.InvalidAttributeValueException,
                                                   DistributedManagementException

  ### isEnabledForDomainLog

      public boolean isEnabledForDomainLog()

    Determines whether this server sends messages to the domain log (in addition to keeping its own log).

    A dynamic MBean attribute
    Default Value: true
    Secure Value: true

  ### setEnabledForDomainLog

      public void setEnabledForDomainLog(boolean choice)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  ### getDomainLogFilter

      public DomainLogFilterMBean getDomainLogFilter()

    Determines which messages this server sends to the domain log. If you specify `none`, the server sends all messages of severity `ERROR` and higher. This list contains all Domain Log Filters that have been defined for the domain. A server can user only one Domain Log Filter.

    This property is relevant only if `Log To Domain File` is enabled.

    A dynamic MBean attribute
    Secure Value: "none"

  ### setDomainLogFilter

      public void setDomainLogFilter(DomainLogFilterMBean filter)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  ### isTunnelingEnabled

      public boolean isTunnelingEnabled()

    Enables tunneling via HTTP.

    A dynamic MBean attribute
    Default Value: false
    Old Property: weblogic.httpd.tunnelingenabled
    See Also:
      `isHttpdEnabled()`, `NetworkChannelMBean.isTunnelingEnabled()`

  ### setTunnelingEnabled

      public void setTunnelingEnabled(boolean enabled)
                               throws DistributedManagementException

  ### getTunnelingClientPingSecs

      public int getTunnelingClientPingSecs()

    Interval (in seconds) at which to ping an http-tunneled client to see if its still alive (in seconds).

    Default Value: 45
    Old Property: weblogic.httpd.tunneling.clientPingSecs
    Legal Minimum Value: 1
    See Also:
      `NetworkChannelMBean.getTunnelingClientPingSecs()`

  ### setTunnelingClientPingSecs

      public void setTunnelingClientPingSecs(int secs)
                                      throws javax.management.InvalidAttributeValueException

  ### getTunnelingClientTimeoutSecs

      public int getTunnelingClientTimeoutSecs()

    Duration (in seconds) after which a missing http-tunneled client is considered dead (in seconds).

    Default Value: 40
    Old Property: weblogic.httpd.tunneling.clientTimeoutSecs
    Legal Minimum Value: 1
    See Also:
      `NetworkChannelMBean.getTunnelingClientTimeoutSecs()`

  ### setTunnelingClientTimeoutSecs

      public void setTunnelingClientTimeoutSecs(int secs)
                                         throws javax.management.InvalidAttributeValueException

  ### isJMSDefaultConnectionFactoriesEnabled

      public boolean isJMSDefaultConnectionFactoriesEnabled()

    Enables JMS default connection factories.

    A dynamic MBean attribute
    Default Value: true

  ### setJMSDefaultConnectionFactoriesEnabled

      public void setJMSDefaultConnectionFactoriesEnabled(boolean enabled)
                                                   throws DistributedManagementException

  ### setName

      public void setName(java.lang.String name)
                   throws javax.management.InvalidAttributeValueException,
                          ManagementException

    Set the name of the MBean.

    Legal Value: weblogic.management.configuration.LegalHelper.serverMBeanSetNameLegalCheck(value,self);

  ### getName

      public java.lang.String getName()

    The name of the Server.

  ### getServerStart

      public ServerStartMBean getServerStart()

    Returns the ServerStartMBean that can be used to start up this server remotely.

  ### getListenDelaySecs

      public int getListenDelaySecs()

    Deprecated.
    Perpetuated for compatibility with 6.1 only.

    A configurable MBean attribute
    Default Value: 0
    Old Property: webogic.system.listenDelaySecs

  ### setListenDelaySecs

      public void setListenDelaySecs(int seconds)

  ### getLowMemoryTimeInterval

      public int getLowMemoryTimeInterval()

    Returns the time interval. So every configured 'time', one sample will be taken up to the LowMemorySampleSize and then repeated.

    A configurable MBean attribute
    Default Value: 3600
    Legal Minimum Value: 300
    Legal Maximum Value: java.lang.Integer.MAX_VALUE

  ### setLowMemoryTimeInterval

      public void setLowMemoryTimeInterval(int seconds)
                                    throws javax.management.InvalidAttributeValueException

  ### getLowMemorySampleSize

      public int getLowMemorySampleSize()

    Returns the total sample size used for LowMemoryTimeInterval. By default '10' samples are taken at each LowMemoryTimeInterval.

    A configurable MBean attribute
    Default Value: 10
    Legal Minimum Value: 1
    Legal Maximum Value: java.lang.Integer.MAX_VALUE

  ### setLowMemorySampleSize

      public void setLowMemorySampleSize(int sampleSize)

  ### getLowMemoryGranularityLevel

      public int getLowMemoryGranularityLevel()

    Returns the granularity level used in reporting LowMemory information.

    A configurable MBean attribute
    Default Value: 5
    Legal Minimum Value: 1
    Legal Maximum Value: 100
    Secure Value: 5

  ### setLowMemoryGranularityLevel

      public void setLowMemoryGranularityLevel(int size)

  ### getLowMemoryGCThreshold

      public int getLowMemoryGCThreshold()

    The threshold level (a percentage value) at which the server logs a low memory warning once the granularity reporting level has been met.

    A configurable MBean attribute
    Default Value: 5
    Legal Minimum Value: 0
    Legal Maximum Value: 99
    Secure Value: 5

  ### setLowMemoryGCThreshold

      public void setLowMemoryGCThreshold(int size)

  ### getStagingDirectoryName

      public java.lang.String getStagingDirectoryName()

    Identifies the directory path on the managed server where all staged (prepared) applications are placed. This attribute is not dynamic. If an absolute directory name is not specified, the path is relative to rootdirectory/ Once configured, this attribute may not be changed. Remove all applications from the server prior to changing this attribute. Changes to this attribute require a server restart to take effect. The default staging directory is "stage", relative to the server root..

  ### getUploadDirectoryName

      public java.lang.String getUploadDirectoryName()

    Identifies the directory path on the AdminServer where all uploaded applications are placed. If an absolute directory name is not specified, the path is relative to rootdirectory/ The default staging directory is "stage", relative to the server root.. On the ManagedServer this returns null, and is not configurable

    A dynamic MBean attribute
    Secure Value: An absolute directory that is outside the root directory of any WebLogic Server instance or application, and that resides on a physical disk that is separate from the WebLogic Server host's system disk.

  ### setUploadDirectoryName

      public void setUploadDirectoryName(java.lang.String dir)

  ### getStagingMode

      public java.lang.String getStagingMode()

    During application preparation, the application's files are copied from the source on the admin server to the managed server's staging area. If this attribute is nostage or external_stage, the copy will not occur. This is useful when the staging area is a shared directory, already containing the application files, or if this is a single server domain. The administrator must ensure that the managed server's staging directory is set appropriately. Deployment errors will result if the application is not available during the preparation or activation of the application. This attribute can be overridden with the ApplicationMBean StagingMode attribute.

    Default Value: null
    Legal Values: weblogic.management.configuration.ServerMBean.STAGE,weblogic.management.configuration.ServerMBean.NO_STAGE,weblogic.management.configuration.ServerMBean.EXTERNAL_STAGE

  ### setStagingMode

      public void setStagingMode(java.lang.String staging)

  ### getAutoRestart

      public boolean getAutoRestart()

    Enables/Disables automatic restart of a crashed server by the Node Manager.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: true

  ### setAutoRestart

      public void setAutoRestart(boolean enable)

  ### getAutoKillIfFailed

      public boolean getAutoKillIfFailed()

    Enables/Disables automatic kill of a Failed server by the Node Manager.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: false

  ### setAutoKillIfFailed

      public void setAutoKillIfFailed(boolean enable)

  ### getRestartIntervalSeconds

      public int getRestartIntervalSeconds()

    Interval (in seconds) during which a server can be restarted RestartMax times.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 3600
    Legal Minimum Value: 300
    Legal Maximum Value: 2147483647

  ### setRestartIntervalSeconds

      public void setRestartIntervalSeconds(int secs)
                                     throws javax.management.InvalidAttributeValueException

  ### getRestartMax

      public int getRestartMax()

    Number of times a server can be restarted within an interval of RestartIntervalSeconds seconds.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 2
    Legal Minimum Value: 0
    Legal Maximum Value: 2147483647

  ### setRestartMax

      public void setRestartMax(int value)
                         throws javax.management.InvalidAttributeValueException

  ### getHealthCheckIntervalSeconds

      public int getHealthCheckIntervalSeconds()

    Periodicity (in seconds) of the server's health checks. This controls the frequency of the server's self-health monitoring and the Node Manager's health queries.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 180
    Legal Minimum Value: 1
    Legal Maximum Value: 2147483647

  ### setHealthCheckIntervalSeconds

      public void setHealthCheckIntervalSeconds(int secs)
                                         throws javax.management.InvalidAttributeValueException

  ### getHealthCheckTimeoutSeconds

      public int getHealthCheckTimeoutSeconds()

    Time (in seconds) the Node Manager should wait before timing out its health query to the server.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 60
    Legal Minimum Value: 1
    Legal Maximum Value: 2147483647

  ### setHealthCheckTimeoutSeconds

      public void setHealthCheckTimeoutSeconds(int secs)
                                        throws javax.management.InvalidAttributeValueException

  ### setHealthCheckStartDelaySeconds

      public void setHealthCheckStartDelaySeconds(int secs)
                                           throws javax.management.InvalidAttributeValueException

  ### getRestartDelaySeconds

      public int getRestartDelaySeconds()

    Time (in seconds) the Node Manager should wait before restarting the server. This value will be used in cases such as the OS not allowing listen ports to be reused immedietly.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 0
    Legal Minimum Value: 0
    Legal Maximum Value: 2147483647

  ### setRestartDelaySeconds

      public void setRestartDelaySeconds(int secs)
                                  throws javax.management.InvalidAttributeValueException

  ### setClasspathServletDisabled

      public void setClasspathServletDisabled(boolean enabled)

    The ClasspathServlet will serve any class file in the classpath and is registered by default in every webapp (including management). It does not need to be turned on for many applications though, and represents a security hole if unchecked.

    Default Value: false
    Secure Value: true

  ### isClasspathServletDisabled

      public boolean isClasspathServletDisabled()

  ### setDefaultInternalServletsDisabled

      public void setDefaultInternalServletsDisabled(boolean enabled)

    This disables all default servlets in the servlet engine. This includes: weblogic.servlet.ClasspathServlet weblogic.servlet.utils.iiop.GetIORServlet weblogic.rjvm.http.TunnelSendServlet weblogic.rjvm.http.TunnelRecvServlet weblogic.rjvm.http.TunnelLoginServlet weblogic.rjvm.http.TunnelCloseServlet If set to true, this property overrides the ClasspathServletDisabled property.

    Default Value: false
    Secure Value: true

  ### isDefaultInternalServletsDisabled

      public boolean isDefaultInternalServletsDisabled()

  ### getServerVersion

      public java.lang.String getServerVersion()

    Returns the release identifier for the server. Since this is a configured attribute it is only as accurate as the configuration. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable.

    Default Value: "unknown"

  ### setServerVersion

      public void setServerVersion(java.lang.String version)

  ### setStartupMode

      public void setStartupMode(java.lang.String mode)

    Startup Mode for the server

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: "RUNNING"

  ### getStartupMode

      public java.lang.String getStartupMode()

  ### setServerLifeCycleTimeoutVal

      public void setServerLifeCycleTimeoutVal(int timeoutVal)

    Number of seconds a ServerLifeCycle operation waits before timing out. It is currently enabled for only shutdown and force shutdown operations. If the operation does not complete within the configured timeout seconds, then the server will shutdown automatically if the state of the server at that time was SHUTTING_DOWN or if the operation was force shutdown. Otherwise, a ServerLifecycleException will be thrown with a message desribing the timeout condition.

    The default value is `120` seconds. A value of `0` means that the server will wait indefinitely for life cycle operation to complete.

    A dynamic MBean attribute
    A configurable MBean attribute
    Default Value: 120
    Legal Minimum Value: 0
    Secure Value: 120

  ### getServerLifeCycleTimeoutVal

      public int getServerLifeCycleTimeoutVal()

  ### isManagedServerIndependenceEnabled

      public boolean isManagedServerIndependenceEnabled()

    Indicates whether Managed Server Independence is enabled for this server. With Managed Server Independence enabled, you can start a Managed Server even if the Administration Server is unavailable. In such a case, the Managed Server retrieves its configuration by reading a configuration file and other files directly.

    Default Value: true
    Secure Value: true

  ### setManagedServerIndependenceEnabled

      public void setManagedServerIndependenceEnabled(boolean enable)

  ### isMSIFileReplicationEnabled

      public boolean isMSIFileReplicationEnabled()

    Indicates whether the replication of configuration files is enabled for a Managed Server. With file replication enabled, the Administration Server copies its configuration file and SerializedSystemIni.dat into the Managed Server's root directory every 5 minutes. This option does not replicate a boot identity file.

    You must enable Managed Server Independence to replicate configuration files.

    Do not enable file replication for a server that shares an installation or root directory with another server. Unpredictable errors can occur for both servers.

    Depending on your backup schemes and the frequency with which you update your domain's configuration, this option might not be worth the performance cost of copying potentially large files across a network.

    Default Value: false
    Secure Value: false

  ### setMSIFileReplicationEnabled

      public void setMSIFileReplicationEnabled(boolean enable)

  ### setClientCertProxyEnabled

      public void setClientCertProxyEnabled(boolean ccp)

    A value of `true` causes proxy-server plugins to pass identity certifications from clients to all web applications that are deployed on this server instance.

    A proxy-server plugin encodes each identify certification in the `WL-Proxy-Client-Cert` header and passes the header to WebLogic Server instances. A WebLogic Server instance takes the certificate information from the header, trusting that it came from a secure source, and uses that information to authenticate the user.

    If you specify `true`, use a `ConnectionFilter` to ensure that this WebLogic Server instance accepts connections only from the machine on which the proxy-server plugin is running. Specifying `true` without using a connection filter creates a security vulnerability because the `WL-Proxy-Client-Cert` header can be spoofed.

    By default (or if you specify `false`), the `weblogic.xml` deployment descriptor for each web application that is deployed on this server determines whether the web application trusts certificates sent from the proxy server plugin. By default (or if the deployment descriptor specifies `false`), users cannot log in to the web application from a proxy server plugin.

    The value that this method sets is overriden if the server is part of a cluster and the cluster's `ClusterMBean.setClientCertProxyEnabled(boolean)` method specifies `true`.

    Default Value: false
    Secure Value: false

  ### isClientCertProxyEnabled

      public boolean isClientCertProxyEnabled()

  ### setWeblogicPluginEnabled

      public void setWeblogicPluginEnabled(boolean wpe)

    WLS HttpRequest.getRemoteAddr() used to rely on X-Forwarded-For for its returned value. This is a security hole due to HTTP header can be easily mocked and we end up with returning wrong value. This is improved by introducing a proprietary header WL-Proxy-Client-IP from our plugins and this header will only be used if WLS is configured to use our plugins. This is duplicated both in ClusterMBean and ServerMBean so the attribute WeblogicPluginEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

    Default Value: false

  ### isWeblogicPluginEnabled

      public boolean isWeblogicPluginEnabled()

  ### getHostsMigratableServices

      public boolean getHostsMigratableServices()

  ### setHttpTraceSupportEnabled

      public void setHttpTraceSupportEnabled(boolean tse)

    Attackers may abuse HTTP TRACE functionality to gain access to information in HTTP headers such as cookies and authentication data. In the presence of other cross-domain vulnerabilities in web browsers, sensitive header information could be read from any domains that support the HTTP TRACE method. This attribute is for disabling HTTP TRACE support. It is duplicated both in ClusterMBean and ServerMBean so the attribute HttpTraceSupportEnabled can be used cluster-wide. ClusterMBean overrides ServerMBean

    Default Value: false

  ### isHttpTraceSupportEnabled

      public boolean isHttpTraceSupportEnabled()

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Documentation is available at http://e-docs.bea.com/wls/docs70
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
  WebLogic Server 7.0 API Reference